package org.bss.esb;

import java.io.Serializable;

public class RetryPolicyInfo implements Serializable { 
    
    private String name;
    private int maxRetries;
    private long retryInterval;
    
    public RetryPolicyInfo() {
        
    }

    public RetryPolicyInfo(String name, int maxRetries, long retryInterval) {
        this.name = name;
        this.maxRetries = maxRetries;
        this.retryInterval = retryInterval;
    }
    
    public String getName() {
        return name;
    }
    
    public void setName(String name) {
        this.name = name;
    }
    
    public int getMaxRetries() {
        return maxRetries;
    }
    
    public void setMaxRetries(int maxRetries) {
        this.maxRetries = maxRetries;
    }
    
    public long getRetryInterval() {
        return retryInterval;
    }
    
    public void setRetryInterval(long retryInterval) {
        this.retryInterval = retryInterval;
    }
} 
