package org.bss.esb;

import java.io.Serializable;

/**
 * Holds the in formation about a route as it is configured
 * in the EsbConfiguration XML.
 *
 * @author Balwinder Sodhi
 * @version 1.0
 */
public class RouteInfo implements Serializable {
    
    private String routeName;
    private String retryPolicyName;
    private String transformer;
    private String[] transportHandlerBeanNames;
    private String[] authorizedPrincipals;
    private String deadLetterDestination;
    
    public String getRouteName() {
        return this.routeName;
    }
    
    public void setRouteName(String routeName) {
        this.routeName = routeName;
    }
    
    public String getRetryPolicyName() {
        return this.retryPolicyName;
    }
    
    public void setRetryPolicyName(String retryPolicyName) {
        this.retryPolicyName = retryPolicyName;
    }
    
    public String getTransformer() {
        return this.transformer;
    }
    
    public void setTransformer(String transformer) {
        this.transformer = transformer;
    }
    
    public String[] getTransportHandlerBeanNames() {
        return this.transportHandlerBeanNames;
    }
    
    public void setTransportHandlerBeanNames(String[] transportHandlerBeanNames) {
        this.transportHandlerBeanNames = transportHandlerBeanNames;
    }
    
    public String[] getAuthorizedPrincipals() {
        return this.authorizedPrincipals;
    }
    
    public void setAuthorizedPrincipals(String[] authorizedPrincipals) {
        this.authorizedPrincipals = authorizedPrincipals;
    }
    
    public String getDeadLetterDestination() {
        return this.deadLetterDestination;
    }
    
    public void setDeadLetterDestination(String destination) {
        this.deadLetterDestination = destination;
    }
} 
