package org.bss.esb.transform;

/**
 * This exception is thrown by the {@link TransformHandler} in case it
 * is not able to transform the message.
 * 
 * @version 1.0
 * @author Balwinder Sodhi
 * @see TransformHandler
 */
public class TransformException extends Exception {

    public TransformException(String s) {
        super(s);
    }

    public TransformException(Throwable throwable) {
        super(throwable);
    }

    public TransformException(String s, Throwable throwable) {
        super(s, throwable);
    }
    
}
