package org.bss.esb.transport;

/**
 * This exception is thrown when a TransportHandler is not found in the
 * TransportHandlerCache for a given route.
 * 
 * @version 1.0
 * @author Balwinder Sodhi
 * @see Exception
 */
public class EndPointNotFoundException extends Exception {

    public EndPointNotFoundException(String s) {
        super(s);
    }

    public EndPointNotFoundException(Throwable throwable) {
        super(throwable);
    }

    public EndPointNotFoundException(String s, Throwable throwable) {
        super(s, throwable);
    }
    
}
