package org.bss.esb.transport;

/**
 * This exception is thrown by the {@link TransportHandler} in case it
 * is not able to send the message to the given destination. Cause of 
 * failure could be any system error or the destination being down.
 * 
 * @version 1.0
 * @author Balwinder Sodhi
 * @see TransportHandler
 */
public class TransportException extends Exception {

    public TransportException(String s) {
        super(s);
    }

    public TransportException(Throwable throwable) {
        super(throwable);
    }

    public TransportException(String s, Throwable throwable) {
        super(s, throwable);
    }
    
}
